Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Piwik not compatible with PHP 5.5 new core feature #4111

Closed
anonymous-piwik-user opened this Issue Sep 2, 2013 · 4 comments

Comments

Projects
None yet
6 participants
@anonymous-piwik-user
Copy link

anonymous-piwik-user commented Sep 2, 2013

Piwik 1.12
Web Server : IIS 7.5 on Windows Server 2008 R2 SP1
PHP 5.5.3 & MySQL 5.6.13

I updated my PHP today from 5.4.18 to 5.5.3 and everything was ok with my piwik website. Then I enabled Zend OpCache (now included in PHP 5.5 core) using "zend_extension=php_opcache.dll et opcache.enable=1 in the php.ini file. And now I have an Application Error in my Windows event log and my piwik Dashboard is not available. I don't have any problem with my regular websites, only piwik dashboard is broken.

Faulting application name : php-cgi.exe, version : 5.5.3.0, horodatage : 0x5213f894
Faulting module name : php5.dll, version : 5.5.3.0, horodatage : 0x52140684
Exception code : 0xc0000005
Fault offset : 0x00030012
Faulting application path : E:\PHP\php-cgi.exe
Faulting module path : E:\PHP\php5.dll

If a disable Zend OpCache in php.ini (opcache.enable=0), piwik dashboard is back.

Keywords: php 5.5, zend

@robocoder

This comment has been minimized.

Copy link
Contributor

robocoder commented Sep 2, 2013

This is a php 5.5 bug in the opcache.

@tehseenkn

This comment has been minimized.

Copy link

tehseenkn commented Apr 11, 2017

I also face same problem having piwik 2.10.0 , php5.5.21 , mysql5.6.14
Event viewer showing error : Application Error

Faulting application name: php-cgi.exe, version: 5.5.21.0, time stamp: 0x54c02b81
Faulting module name: php5.dll, version: 5.5.21.0, time stamp: 0x54c0307d
Exception code: 0xc0000005
Fault offset: 0x0002c299
Faulting process id: 0x1218
Faulting application start time: 0x01d2b1fbfccf3739
Faulting application path: C:\php5.5.21\php-cgi.exe
Faulting module path: C:\php5.5.21\php5.dll
Report Id: 8e942d1c-1df7-11e7-80d1-bc305bf1164b
Faulting package full name:
Faulting package-relative application ID:

Any solution ?

@kokspflanze

This comment has been minimized.

Copy link

kokspflanze commented Apr 11, 2017

@tehseenkn i think for 2.x , there will be no fix, better you upgrade to piwiki 3 and see if there is the problem too.

@RMastop

This comment has been minimized.

Copy link
Contributor

RMastop commented Apr 11, 2017

Please check the requirements to run Piwik (your php version is not compatible):
https://piwik.org/docs/requirements/

This issue was closed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.